#version 130

// required by GLSL spec Sect 4.5.3 (though nvidia does not, amd does)
precision highp float;

uniform sampler2D tex0;
uniform sampler2DShadow tex1;

in  vec4 color;
in  vec2 texCoord;
in  vec3 normal;
in vec4 shadowTexCoord;

out vec4 fragmentColor;

void main() 
{
	fragmentColor =  texture(tex0, texCoord.xy);

	// Find if the fragment is in shadow by looking up the shadow map texture.
	// Note that we use a special type of sampler, sampler2DShadow and lookup
	// that performs a depth comparison.
	// (see http://www.opengl.org/registry/doc/GLSLangSpec.Full.1.30.08.pdf)
	fragmentColor *= textureProj(tex1, shadowTexCoord); 

	fragmentColor.a = 1.0;

}